/**
 * 钟是志
 * 2024年7月24日
 * 加载高德地图定位功能
 * demo
 *
 * */

export default function mapLoaderConfig(props = {
  plugins: ['AMap.Geolocation']
}){
  let AMapJs = undefined;
  const { plugins } = props;
  return new Promise((resolve, reject) => {
    AMapJs = require('./amap-js').default;
    if(AMapJs !== undefined){
      const loader = new AMapJs.AMapLoader({
        key: 'a8d312e3cc24b4fd12bad99780c2182a', // 公司账号配置的应用的key
        // https://console.amap.com/dev/key/app
        version: '2.0',
        plugins,
        security: {
          securityJsCode: 'f4a5344f0117dc8b32ee216d2311fc1a' // 公司账号配置的应用的 安全key
        }
      });
      resolve(loader);
    }else{
      reject(false);
    }
  });
}
